## cereal 0.1.0

=== DESCRIPTION ===
Package: cereal
Title: Serialize 'vctrs' Objects to 'JSON'
Version: 0.1.0
Authors@R: c(
    person("Julia", "Silge", , "julia.silge@posit.co", role = c("cre", "aut"),
           comment = c(ORCID = "0000-0002-3671-836X")),
    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: The 'vctrs' package provides a concept of vector prototype
    that can be especially useful when deploying models and code.  Serialize 
    these object prototypes to 'JSON' so they can be used to check and coerce 
    data in production systems, and deserialize 'JSON' back to the correct 
    object prototypes.
License: MIT + file LICENSE
URL: https://r-lib.github.io/cereal/, https://github.com/r-lib/cereal/
BugReports: https://github.com/r-lib/cereal/issues
Depends: R (>= 3.6)
Imports: jsonlite, rlang, tibble, vctrs
Suggests: covr, testthat (>= 3.0.0), withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
Language: en-US
NeedsCompilation: no
Packaged: 2023-06-08 19:18:13 UTC; juliasilge
Author: Julia Silge [cre, aut] (<https://orcid.org/0000-0002-3671-836X>),
  Davis Vaughan [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Julia Silge <julia.silge@posit.co>
Repository: CRAN
Date/Publication: 2023-06-09 14:00:26 UTC
