## cereal 0.16

=== Makefile ===
#!/usr/bin/make -f

# Makefile for cereal

# (c) 2007 Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>
# Licensed under GPL v3 or later

# this makefile is mostly a dummy, but it provides a convenient
# "install" target for folks who want to install cereal from a
# standard "source tarball"

PREFIX=/usr
CONFIGDIR=/etc

all:
	echo "cereal is composed of scripts, so no compilation is necessary"

install:
	install -d $(PREFIX)/bin $(CONFIGDIR)/cereal
	install -d $(PREFIX)/sbin $(CONFIGDIR)/cereal
	install -d $(PREFIX)/share/man/man1 $(CONFIGDIR)/cereal
	install -d $(PREFIX)/share/man/man8 $(CONFIGDIR)/cereal
	install -d $(PREFIX)/share/cereal $(CONFIGDIR)/cereal
	install fs/usr/bin/cereal $(PREFIX)/bin/cereal
	install fs/usr/sbin/cereal-admin $(PREFIX)/sbin/cereal-admin
	install -m 0644 fs/usr/share/man/man1/cereal.1 $(PREFIX)/share/man/man1/cereal.1
	install -m 0644 fs/usr/share/man/man8/cereal-admin.8 $(PREFIX)/share/man/man8/cereal-admin.8
	install fs/usr/share/cereal/*run $(PREFIX)/share/cereal/
	install -m 0644 fs/usr/share/cereal/common $(PREFIX)/share/cereal/
	install -m 0644 fs/etc/cereal/cereal-admin.conf $(CONFIGDIR)/cereal/
	install -m 0644 fs/etc/cereal/screenrc $(CONFIGDIR)/cereal/

# invoke this target like `make VERSION=0.1 release' to build an
# "upstream tarball" (note: the curly braces are a bashism -- you can
# only "make release" from bash or an equivalent)
release:
	mkdir -p build/upstream
	ln -s ../.. build/upstream/cereal-$(VERSION)
	(cd build/upstream && tar czf ../cereal_$(VERSION).tar.gz --exclude=.svn --exclude=*~ cereal-$(VERSION)/{fs,COPYING,Makefile,docs})
	rm -f build/upstream/cereal-$(VERSION)

clean:
