## cereal 0.22

=== Makefile ===
--- 
+++ 
@@ -16,16 +16,19 @@
 	echo "cereal is composed of scripts, so no compilation is necessary"
 
 install:
-	install -d $(PREFIX)/bin $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/sbin $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/share/man/man1 $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/share/man/man8 $(CONFIGDIR)/cereal
-	install -d $(PREFIX)/share/cereal $(CONFIGDIR)/cereal
+	install -d $(CONFIGDIR)/cereal
+	install -d $(PREFIX)/bin
+	install -d $(PREFIX)/sbin
+	install -d $(PREFIX)/share/cereal
+	install -d $(PREFIX)/share/man/man1
+	install -d $(PREFIX)/share/man/man8
 	install fs/usr/bin/cereal $(PREFIX)/bin/cereal
 	install fs/usr/sbin/cereal-admin $(PREFIX)/sbin/cereal-admin
 	install -m 0644 fs/usr/share/man/man1/cereal.1 $(PREFIX)/share/man/man1/cereal.1
 	install -m 0644 fs/usr/share/man/man8/cereal-admin.8 $(PREFIX)/share/man/man8/cereal-admin.8
-	install fs/usr/share/cereal/*run $(PREFIX)/share/cereal/
+	install fs/usr/share/cereal/mainrun $(PREFIX)/share/cereal/
+	install fs/usr/share/cereal/logrun $(PREFIX)/share/cereal/
+	install fs/usr/share/cereal/finish $(PREFIX)/share/cereal/
 	install -m 0644 fs/usr/share/cereal/common $(PREFIX)/share/cereal/
 	install -m 0644 fs/etc/cereal/cereal-admin.conf $(CONFIGDIR)/cereal/
 	install -m 0644 fs/etc/cereal/screenrc $(CONFIGDIR)/cereal/
