=== debian/changelog ===
cereal (0.24-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007331)
  * d/copyright: Convert to machine-readable format.
  * d/control: Set Priority to optional from deprecated extra.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Mar 2024 18:20:32 +0000

cereal (0.24-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 17:16:47 +0100

cereal (0.24-1) unstable; urgency=medium

  [ Jameson Graef Rollins ]
  * new upstream packaging/build system.  all-inclusive makefile, and
    simplified debhelper rules.
  * fixed some bashisms that were causing things to fail with dash/sh
    (Closes: #511045).

  [ Daniel Kahn Gillmor ]
  * bumped debian/compat to reflect the use of debhelper 7.
  * changed maintainer address.
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 09 Jan 2009 10:48:53 -0500

cereal (0.23-2) unstable; urgency=low

  * Update build depends standard version.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 27 Oct 2008 21:29:17 -0400

cereal (0.23-1) unstable; urgency=low

  * Fixed small bug that prevented attaching to sessions of unknown state.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sun, 26 Oct 2008 13:43:47 -0400

cereal (0.22-1) unstable; urgency=low

  * New upstream release.
  * properly check group ownership for symlinked ttys (Closes: #484979)
    (thanks Marc Haber for patch).
  * handle locking of the serial device using /usr/bin/lockfile from
    procmail (adding a dependency) (Closes: #484980)
  
 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 09 Jun 2008 14:10:57 -0400

cereal (0.21-1) unstable; urgency=low

  * fix as many remaining bashisms in all scripts that we could
    find. (Closes: #476755)
  * moved to new method of registering sessions on creation.  checks are
    now done with sv status to determine the state of the session.  this
    makes things cleaner, and removes some state/registration ambiguities.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Thu, 24 Apr 2008 17:59:23 -0400

cereal (0.20-1) unstable; urgency=low

  * removed all bashisms from all scripts (using checkbashism from
    devscripts/unstable) (closing CMRG #43).

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Sun, 30 Mar 2008 00:47:38 -0400

cereal (0.19-1) unstable; urgency=low

  * fixes to the runit update-service script now allows for setting of
    permissions of supervise directories at session creation, as well as
    saving supervise directories across reboots (closes: CMRG #84)
  * bumped runit version dependency up to 1.8.0-3, since changes in this
    release depend on changes in that version (see #466885).

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Sun, 24 Feb 2008 17:53:13 -0500

cereal (0.18-1) unstable; urgency=low

  * use new runit command "update-service" (Closes: #466380)
  * changed terminology of runit-controller sessions from "linked" to
    "registered".

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 18 Feb 2008 14:25:28 -0500

cereal (0.17-1) unstable; urgency=low

  * New Upstream Release:
  * Allows multiple concurrent connections (closes CMRG #7)
  * Improved logging of connections (includes connecting pty info)
  * debian/control: switched Section: back to utils from admin.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Wed, 16 Jan 2008 23:15:12 -0500

cereal (0.16-4) unstable; urgency=low

  * added Vcs-Svn and Vcs-Browser fields to debian/control

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 13 Jan 2008 14:38:04 -0500

cereal (0.16-3) unstable; urgency=low

  * updated description so that cereal is relevant to "apt-cache search
    serial console"
  * bumped Standards-Version to 3.7.3 (no changes needed)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 11 Jan 2008 01:41:53 -0500

cereal (0.16-2) unstable; urgency=low

  * switched DM-Upload-Allowed to XS-DM-Upload-Allowed.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 27 Nov 2007 00:48:44 -0500

cereal (0.16-1) unstable; urgency=low

  * new upstream version
  * found/fixed a couple lingering GPL v2 references
  * removed bashisms from "make install" (Closes: #453040)
  * add DM-Upload-Allowed: yes to debian/control.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Mon, 26 Nov 2007 19:57:48 -0500

cereal (0.15-2) unstable; urgency=low

  * update debian/control with Homepage field.

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Wed, 21 Nov 2007 14:05:40 -0500

cereal (0.15-1) unstable; urgency=low

  * change call to sh to be call to bash in cereal-admin start (fix ticket #36)
  * fix is_controllable function to be more accurate

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Wed, 24 Oct 2007 15:47:49 -0400

cereal (0.14-2) unstable; urgency=low

  * fix to cereal.preinst script to properly upgrade from older versions

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Mon, 15 Oct 2007 12:03:59 -0400

cereal (0.14-1) unstable; urgency=low

  * overhaul/simplification of listing function
  * overhaul/simplification of error reporting
  * added log-limiting documentation and mention in cereal-admin man page

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Fri, 12 Oct 2007 01:35:47 -0400

cereal (0.13-3) unstable; urgency=low

  * added var/lib/cereal/sessions to debian/dirs to fix ticket #33

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Thu, 11 Oct 2007 20:55:20 -0400

cereal (0.13-2) unstable; urgency=low

  * added gecos field for cereal user

 -- Jameson Rollins <jrollins@fifthhorseman.net>  Wed, 10 Oct 2007 18:27:42 -0400

cereal (0.13-1) unstable; urgency=low

  * update of is_running function with better tests/return
  * moved session directory to /var/lib/cereal/sessions


