=== debian/control ===
Source: cereal
Section: utils
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.8.0.1
Homepage: http://cmrg.fifthhorseman.net/wiki/cereal
Vcs-Svn: http://cmrg.fifthhorseman.net/svn/trunk/cereal
Vcs-Browser: http://cmrg.fifthhorseman.net/browser/trunk/cereal
Dm-Upload-Allowed: yes

Package: cereal
Architecture: all
Depends: runit (>= 1.8.0-3), screen, adduser, procmail
Description: automated, logged serial terminal management system
 cereal provides a framework to easily set up and maintain automated,
 timestamped logs of serial lines, while simultaneously allowing end
 user access to them.  This is probably most useful for providing
 automated, logged access to remote serial consoles.  
 .
 cereal can control an arbitrary number of independently monitored and
 logged lines.  Direct access to the monitored lines is allowed only
 to a specific user (who doesn't necessarily otherwise have access to
 the direct serial line), but logs can be made available to any group.
 Logs are rotated automatically and their total space can be limited
 in size.
